Bug 1791217 (CVE-2020-2654) - CVE-2020-2654 OpenJDK: Excessive memory usage in OID processing in X.509 certificate parsing (Libraries, 8234037)
Summary: CVE-2020-2654 OpenJDK: Excessive memory usage in OID processing in X.509 cert...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2654
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1832248 1832251 1832253 1832254 1785757 1785758 1785759 1785760 1785761 1785762 1785763 1785764 1785765 1785766 1785767 1789444 1789445 1789446 1832246 1832247 1832249 1832250 1832252
Blocks: 1785754
TreeView+ depends on / blocked
 
Reported: 2020-01-15 09:06 UTC by Tomas Hoger
Modified: 2020-05-20 16:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-27 15:49:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0212 None None None 2020-01-23 14:05:01 UTC
Red Hat Product Errata RHBA-2020:0213 None None None 2020-01-23 14:46:57 UTC
Red Hat Product Errata RHBA-2020:0220 None None None 2020-01-23 17:00:31 UTC
Red Hat Product Errata RHBA-2020:0225 None None None 2020-01-27 01:22:06 UTC
Red Hat Product Errata RHBA-2020:0226 None None None 2020-01-27 01:22:50 UTC
Red Hat Product Errata RHBA-2020:0237 None None None 2020-01-27 12:18:50 UTC
Red Hat Product Errata RHBA-2020:0238 None None None 2020-01-27 12:25:21 UTC
Red Hat Product Errata RHBA-2020:0239 None None None 2020-01-27 12:26:32 UTC
Red Hat Product Errata RHBA-2020:0240 None None None 2020-01-27 12:26:42 UTC
Red Hat Product Errata RHBA-2020:0241 None None None 2020-01-27 12:29:20 UTC
Red Hat Product Errata RHBA-2020:0242 None None None 2020-01-27 12:26:49 UTC
Red Hat Product Errata RHBA-2020:0311 None None None 2020-01-30 20:06:37 UTC
Red Hat Product Errata RHBA-2020:0318 None None None 2020-02-03 10:27:54 UTC
Red Hat Product Errata RHBA-2020:0489 None None None 2020-02-13 15:01:00 UTC
Red Hat Product Errata RHBA-2020:0558 None None None 2020-02-20 08:31:10 UTC
Red Hat Product Errata RHBA-2020:0639 None None None 2020-02-27 19:30:00 UTC
Red Hat Product Errata RHSA-2020:0122 None None None 2020-01-16 13:21:42 UTC
Red Hat Product Errata RHSA-2020:0128 None None None 2020-01-16 13:02:46 UTC
Red Hat Product Errata RHSA-2020:0157 None None None 2020-01-21 03:02:09 UTC
Red Hat Product Errata RHSA-2020:0196 None None None 2020-01-21 23:00:55 UTC
Red Hat Product Errata RHSA-2020:0202 None None None 2020-01-22 13:04:54 UTC
Red Hat Product Errata RHSA-2020:0231 None None None 2020-01-27 08:54:43 UTC
Red Hat Product Errata RHSA-2020:0232 None None None 2020-01-27 08:55:59 UTC
Red Hat Product Errata RHSA-2020:0541 None None None 2020-02-18 15:28:48 UTC
Red Hat Product Errata RHSA-2020:0632 None None None 2020-02-27 15:27:11 UTC
Red Hat Product Errata RHSA-2020:2236 None None None 2020-05-20 14:24:31 UTC
Red Hat Product Errata RHSA-2020:2237 None None None 2020-05-20 14:24:51 UTC
Red Hat Product Errata RHSA-2020:2238 None None None 2020-05-20 14:25:49 UTC
Red Hat Product Errata RHSA-2020:2239 None None None 2020-05-20 14:25:23 UTC
Red Hat Product Errata RHSA-2020:2241 None None None 2020-05-20 16:03:38 UTC

Description Tomas Hoger 2020-01-15 09:06:49 UTC
A flaw was discovered in the way the Libraries component of OpenJDK processed X.509 certificates.  Values of Object Identifiers (OIDs) were "interned", possibly allowing a malicious X.509 certificate to trigger excessive memory usage in a Java application processing such certificate.

Comment 1 Tomas Hoger 2020-01-15 11:20:49 UTC
Public now via Oracle CPU January 2020:

https://www.oracle.com/security-alerts/cpujan2020.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.2, 11.0.6, 8u241, and 7u251.

Comment 2 errata-xmlrpc 2020-01-16 13:02:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0128 https://access.redhat.com/errata/RHSA-2020:0128

Comment 3 errata-xmlrpc 2020-01-16 13:21:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0122 https://access.redhat.com/errata/RHSA-2020:0122

Comment 4 errata-xmlrpc 2020-01-21 03:02:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0157 https://access.redhat.com/errata/RHSA-2020:0157

Comment 5 errata-xmlrpc 2020-01-21 23:00:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0196 https://access.redhat.com/errata/RHSA-2020:0196

Comment 6 errata-xmlrpc 2020-01-22 13:04:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0202 https://access.redhat.com/errata/RHSA-2020:0202

Comment 7 errata-xmlrpc 2020-01-27 08:54:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0231 https://access.redhat.com/errata/RHSA-2020:0231

Comment 8 errata-xmlrpc 2020-01-27 08:55:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0232 https://access.redhat.com/errata/RHSA-2020:0232

Comment 15 errata-xmlrpc 2020-02-18 15:28:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0541 https://access.redhat.com/errata/RHSA-2020:0541

Comment 19 errata-xmlrpc 2020-02-27 15:27:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0632 https://access.redhat.com/errata/RHSA-2020:0632

Comment 20 Product Security DevOps Team 2020-02-27 15:49:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2654

Comment 26 errata-xmlrpc 2020-05-20 14:24:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2236 https://access.redhat.com/errata/RHSA-2020:2236

Comment 27 errata-xmlrpc 2020-05-20 14:24:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2237 https://access.redhat.com/errata/RHSA-2020:2237

Comment 28 errata-xmlrpc 2020-05-20 14:25:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2020:2239 https://access.redhat.com/errata/RHSA-2020:2239

Comment 29 errata-xmlrpc 2020-05-20 14:25:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2020:2238 https://access.redhat.com/errata/RHSA-2020:2238

Comment 30 errata-xmlrpc 2020-05-20 16:03:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2241 https://access.redhat.com/errata/RHSA-2020:2241


Note You need to log in before you can comment on or make changes to this bug.